<div>
  <!--<div><Button (click)="refrescar()">Actualizar</Button></div> -->

  <mat-form-field appearance="standard">
    <input matInput (keyup)="applyFilter($event)"  placeholder="Filtrar" #input>
  </mat-form-field>



</div>


<div class="mat-elevation-z8">
  <table mat-table [dataSource]="dataSource" matSort>

    <!-- ID Column -->
    <ng-container matColumnDef="Nombre">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombre </th>
      <td mat-cell *matCellDef="let row"> {{row.nombre}} </td>
    </ng-container>

    <!-- Progress Column -->
    <ng-container matColumnDef="Apellido">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Apellido </th>
      <td mat-cell *matCellDef="let row"> {{row.apellido}}</td>
    </ng-container>

     <!-- Fruit Column -->
     <ng-container matColumnDef="Cedula">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Cedula </th>
      <td mat-cell *matCellDef="let row"> {{row.cedula}} </td>
    </ng-container>

       <!-- Fruit Column -->
       <ng-container matColumnDef="Nacimiento">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Nacimiento </th>
        <td mat-cell *matCellDef="let row"> {{row.nacimiento}} </td>
      </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="Nombre Completo">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombre Completo </th>
      <td mat-cell *matCellDef="let row"> {{row.nombre_completo}} </td>
    </ng-container>

    <!-- Fruit Column -->
    <ng-container matColumnDef="Edad">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Edad </th>
      <td mat-cell *matCellDef="let row"> {{row.edad}} </td>
    </ng-container>

    <!-- Fruit Column -->
    <ng-container matColumnDef="Tipo de pedido">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Tipo de pedido </th>
      <td mat-cell *matCellDef="let row"> {{row.tipo_de_pedido}} </td>
    </ng-container>

    <!-- Fruit Column -->
    <ng-container matColumnDef="Numero de pedido">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Numero de pedido </th>
      <td mat-cell *matCellDef="let row"> {{row.numero_de_pedidos}} </td>
    </ng-container>


    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
    </tr>
  </table>

  <mat-paginator [pageSizeOptions]="[10,5]" aria-label="Select page of users"></mat-paginator>
</div>

